## sope 2.1.1

=== sope-appserver/WOExtensions/doc/Makefile ===
# makefile to generate manpages from .api files

-include ../../../config.make
include ../../../Version
include ../Version

API2MAN = ../../NGObjWeb/woapi2man.py
SECTION = 3

all :: regenerate validate

APIEXT   = .api
APIFILES = ../*$(APIEXT)

regenerate ::
	@echo "generating manpages from .api files, may take a while ..."
	for apifile in $(APIFILES); do \
	  OUTFILE="`basename $$apifile | sed s/\\$(APIEXT)/.$(SECTION)/g`"; \
	  echo $$OUTFILE; \
	  $(API2MAN) $$apifile $$SECTION \
	    $(MAJOR_VERSION) $(MINOR_VERSION) $(SUBMINOR_VERSION) >$$OUTFILE; \
	done
	@echo "done."

validate ::
	@echo "validating manpages using nroff, may take a while ..."
	for i in *.$(SECTION); do \
	  nroff -mandoc  -Tascii $$i >/dev/null; \
	done
	@echo "done."

## sope 1.3.15

=== debian/changelog ===
sope (1.3.15-3) unstable; urgency=low

  * 0009-GNUstep-1.24-fix.patch:
    - Fix to cope with changes in GNUstep 1.24.

 -- Jeroen Dekkers <jeroen@dekkers.ch>  Sun, 10 Jun 2012 22:05:37 +0200

sope (1.3.15-2) unstable; urgency=low

  * 0007-Fix-FTBFS-on-arm.patch:
    - Fix FTBFS on arm that was introduced in the last upstream version.
  * 0008-Fix-stale-cache-issue-when-upgrading.patch:
    - Cherry-pick patch from upstream that fixes problems with stale
      browser caches on upgrades.

 -- Jeroen Dekkers <jeroen@dekkers.ch>  Mon, 28 May 2012 16:38:50 +0200

sope (1.3.15-1) unstable; urgency=low

  * New upstream release.
  * Drop patches applied upstream:
    - 0006-Fix-compilation-with-Werror-format-security
    - 0007-gcc-4.7-build-fixes-from-http-www.sogo.nu-bugs-view
  * Make libsope-dev conflict with libgnustep-dl2-dev. (Closes: #674117)
  * Add patch 0006-Fix-compilation-on-GNU-kFreeBSD.

 -- Jeroen Dekkers <jeroen@dekkers.ch>  Wed, 23 May 2012 16:46:35 +0200

sope (1.3.14-1) unstable; urgency=low

  * Initial release. (Closes: #672175)

 -- Jeroen Dekkers <jeroen@dekkers.ch>  Wed, 09 May 2012 15:39:17 +0200

=== debian/control ===
Source: sope
Section: libs
Priority: optional
Maintainer: Jeroen Dekkers <jeroen@dekkers.ch>
Build-Depends: debhelper (>= 9), cdbs, gnustep-make, libgnustep-base-dev, gobjc, libxml2-dev, libldap2-dev, libgnutls-dev, zlib1g-dev, libpq-dev, libmysqlclient-dev, autotools-dev
Standards-Version: 3.9.3
Homepage: http://www.sogo.nu/
Vcs-Browser: https://github.com/dekkers/sope
Vcs-Git: git://github.com/dekkers/sope.git

Package: libsope1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: SKYRiX Object Publishing Environment (shared libraries)
 An extensive set of Objective-C frameworks which form a complete Web
 application server environment. Besides the Apple WebObjects
 compatible appserver that has been extended with Zope concepts, it
 contains a large set of reusable classes: XML processing (SAX, DOM),
 MIME/IMAP4 processing, LDAP connectivity, RDBMS connectivity, and
 iCalendar parsing.
 .
 This package contains the shared libraries.

Package: libsope-dev
Section: libdevel
Priority: extra
Architecture: any
Depends: libsope1 (= ${binary:Version}), ${misc:Depends}
Conflicts: libgnustep-dl2-dev
Description: SKYRiX Object Publishing Environment (development files)
 An extensive set of Objective-C frameworks which form a complete Web
 application server environment. Besides the Apple WebObjects
 compatible appserver that has been extended with Zope concepts, it
 contains a large set of reusable classes: XML processing (SAX, DOM),
 MIME/IMAP4 processing, LDAP connectivity, RDBMS connectivity, and
 iCalendar parsing.
 .
 This package contains the development files.

Package: libsope1-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libsope1 (= ${binary:Version}), ${misc:Depends}
Description: SKYRiX Object Publishing Environment (debugging symbols)
 An extensive set of Objective-C frameworks which form a complete Web
 application server environment. Besides the Apple WebObjects
 compatible appserver that has been extended with Zope concepts, it
 contains a large set of reusable classes: XML processing (SAX, DOM),
 MIME/IMAP4 processing, LDAP connectivity, RDBMS connectivity, and
 iCalendar parsing.
 .
 This package contains the debugging symbols.

## sope 1.3.16

=== debian/changelog ===
sope (1.3.16-1build1) raring; urgency=low

  * Rebuild for gnustep-base 1.24 transition.

 -- Benjamin Drung <bdrung@ubuntu.com>  Wed, 21 Nov 2012 15:24:07 +0100

sope (1.3.16-1) unstable; urgency=low

  * New upstream release.
  * Drop patches applied upstream:
    - 0006-Fix-compilation-on-GNU-kFreeBSD
    - 0008-Fix-stale-cache-issue-when-upgrading.patch
    - 0009-GNUstep-1.24-fix.patch
  * Build with hardening enabled.

 -- Jeroen Dekkers <jeroen@dekkers.ch>  Fri, 29 Jun 2012 20:53:29 +0200

sope (1.3.15-4) unstable; urgency=low

  * 0007-Fix-FTBFS-on-arm.patch:
    - Really fix FTBFS this time.

 -- Jeroen Dekkers <jeroen@dekkers.ch>  Tue, 12 Jun 2012 01:08:07 +0200

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow
include /usr/share/dpkg/buildflags.mk
# FIXME: dpkg-buildflags / cdbs should support OBJCFLAGS
DEB_MAKE_BUILD_TARGET = all messages=yes OBJCFLAGS="$(CFLAGS)"

include /usr/share/cdbs/1/rules/gnustep.mk
include /usr/share/cdbs/1/class/gnumakefile.mk

common-configure-arch:: config.make

clean::
	touch config.make
	$(MAKE) distclean

config.make:
	./configure --disable-strip --with-gnustep

## sope 2.0.5

=== debian/changelog ===
sope (2.0.5-1) unstable; urgency=low

  * New upstream release.

 -- Jeroen Dekkers <jeroen@dekkers.ch>  Fri, 12 Apr 2013 19:47:43 +0200

sope (2.0.4b-1) unstable; urgency=low

  * New upstream release.
  * Fixes FTBFS on alpha. (Closes: #680735)
  * Remove patches applied upstream:
    - 0002-use-gnutls
    - 0003-close-all-fds-on-daemon-start
    - 0004-link-everything-correctly
    - 0006-Fix-FTBFS-on-arm
    - 0007-Remove-disabling-of-optimization
  * Call dh_makeshlibs with -V.
  * Update standards version to 3.9.4.

 -- Jeroen Dekkers <jeroen@dekkers.ch>  Thu, 14 Mar 2013 17:19:26 +0100

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: libs
 Priority: optional
 Maintainer: Jeroen Dekkers <jeroen@dekkers.ch>
-Build-Depends: debhelper (>= 9), cdbs, gnustep-make, libgnustep-base-dev, gobjc, libxml2-dev, libldap2-dev, libgnutls-dev, zlib1g-dev, libpq-dev, libmysqlclient-dev, autotools-dev
-Standards-Version: 3.9.3
+Build-Depends: debhelper (>= 9), cdbs, dpkg-dev (>= 1.16.1~), gnustep-make, libgnustep-base-dev, gobjc, libxml2-dev, libldap2-dev, libgnutls-dev, zlib1g-dev, libpq-dev, libmysqlclient-dev, autotools-dev
+Standards-Version: 3.9.4
 Homepage: http://www.sogo.nu/
-Vcs-Browser: https://github.com/dekkers/sope
-Vcs-Git: git://github.com/dekkers/sope.git
+Vcs-Browser: http://git.debian.org/?p=collab-maint/sope.git
+Vcs-Git: git://git.debian.org/git/collab-maint/sope.git
 
 Package: libsope1
 Section: libs

=== debian/watch ===
version=2
http://www.sogo.nu/english/downloads/backend.html /files/downloads/SOGo/Sources/SOPE-(.*).tar.gz

## sope 2.0.7

=== debian/changelog ===
sope (2.0.7-1) unstable; urgency=low

  * New upstream release.
  * Include updated watch file written by Bart Martens.

 -- Jeroen Dekkers <jeroen@dekkers.ch>  Sun, 11 Aug 2013 20:18:06 +0200

## sope 2.1.1

=== debian/changelog ===
sope (2.1.1-1) unstable; urgency=medium

  * New upstream release.

 -- Jeroen Dekkers <jeroen@dekkers.ch>  Sat, 28 Dec 2013 17:40:18 +0100

=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,9 @@
 include /usr/share/dpkg/buildflags.mk
 # FIXME: dpkg-buildflags / cdbs should support OBJCFLAGS
 DEB_MAKE_BUILD_TARGET = all messages=yes OBJCFLAGS="$(CFLAGS)"
+# This will make sure that the SOGo binary packages will always depend
+# on the latest SOPE
+DEB_DH_MAKESHLIBS_ARGS = -V
 
 include /usr/share/cdbs/1/rules/gnustep.mk
 include /usr/share/cdbs/1/class/gnumakefile.mk
@@ -17,4 +20,4 @@
 	$(MAKE) distclean
 
 config.make:
-	./configure --disable-strip --with-gnustep
+	./configure --disable-strip --with-gnustep --with-ssl=gnutls

## sope 2.2.6

=== debian/changelog ===
sope (2.2.6-1) unstable; urgency=medium

  * [024cdc82] New upstream release.

 -- Jeroen Dekkers <jeroen@dekkers.ch>  Tue, 22 Jul 2014 16:33:46 +0200

sope (2.2.5-2) unstable; urgency=medium

  * [6815e7fe] Build-depend on libgnutls28-dev. (Closes: #753153)

 -- Jeroen Dekkers <jeroen@dekkers.ch>  Tue, 08 Jul 2014 14:17:08 +0200

sope (2.2.5-1) unstable; urgency=medium

  * [25593ad7] New upstream release.

 -- Jeroen Dekkers <jeroen@dekkers.ch>  Sat, 07 Jun 2014 21:34:11 +0200

sope (2.2.3-1) unstable; urgency=medium

  * New upstream release.

 -- Jeroen Dekkers <jeroen@dekkers.ch>  Sun, 06 Apr 2014 19:31:49 +0200

sope (2.2.2-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 3.9.5, no changes needed.
  * Update VCS-* fields to use the canonical URI.

 -- Jeroen Dekkers <jeroen@dekkers.ch>  Fri, 28 Mar 2014 22:43:45 +0100

## sope 2.2.9

=== debian/changelog ===
sope (2.2.9-2) unstable; urgency=medium

  * [2fee7766] Update arm64 patch. Thanks Edmund Grimley Evans.
    (Closes: #764474)

 -- Jeroen Dekkers <jeroen@dekkers.ch>  Mon, 13 Oct 2014 11:53:51 +0200

sope (2.2.9-1) unstable; urgency=medium

  * [6e472429] New upstream release.
  * [f54b5e33] Add patch for arm64.

 -- Jeroen Dekkers <jeroen@dekkers.ch>  Sat, 04 Oct 2014 21:24:51 +0200

sope (2.2.7-1) unstable; urgency=medium

  * [0fb5a480] New upstream release.

 -- Jeroen Dekkers <jeroen@dekkers.ch>  Wed, 13 Aug 2014 17:35:52 +0200

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,23 @@
 Section: libs
 Priority: optional
 Maintainer: Jeroen Dekkers <jeroen@dekkers.ch>
-Build-Depends: debhelper (>= 9), cdbs, dpkg-dev (>= 1.16.1~), gnustep-make, libgnustep-base-dev, gobjc, libxml2-dev, libldap2-dev, libgnutls-dev, zlib1g-dev, libpq-dev, libmysqlclient-dev, autotools-dev
-Standards-Version: 3.9.4
+Build-Depends: autotools-dev,
+ cdbs,
+ debhelper (>= 9),
+ dpkg-dev (>= 1.16.1~),
+ gnustep-make,
+ gobjc,
+ libgnustep-base-dev,
+ libxml2-dev,
+ libldap2-dev,
+ libgnutls28-dev,
+ libpq-dev,
+ libmysqlclient-dev,
+ zlib1g-dev
+Standards-Version: 3.9.5
 Homepage: http://www.sogo.nu/
-Vcs-Browser: http://git.debian.org/?p=collab-maint/sope.git
-Vcs-Git: git://git.debian.org/git/collab-maint/sope.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/sope.git
+Vcs-Git: git://anonscm.debian.org/collab-maint/sope.git
 
 Package: libsope1
 Section: libs

=== debian/watch ===
version=3
http://www.sogo.nu/english/downloads/backend.html \
(?:.*/|.*=|)SOPE[\-\._](\d\S*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)(?:/\S*)?

## sope 2.2.17

=== debian/changelog ===
sope (2.2.17-1build2) xenial; urgency=medium

  * Rebuild against libmysqlclient20.

 -- Robie Basak <robie.basak@ubuntu.com>  Tue, 05 Apr 2016 13:02:15 +0000

sope (2.2.17-1build1) xenial; urgency=medium

  * No-change rebuild for gnutls transition.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 17 Feb 2016 22:27:56 +0000

sope (2.2.17-1) unstable; urgency=medium

  * [2aeeedb5] New upstream release

 -- Jeroen Dekkers <jeroen@dekkers.ch>  Sat, 25 Apr 2015 01:19:32 +0200

sope (2.2.14-1) unstable; urgency=medium

  * [694fef1a] New upstream release
  * [1b6c87c4] Remove patches merged upstream
  * [4da2e079] Bump Standards-Version to 3.9.6, no changes needed.

 -- Jeroen Dekkers <jeroen@dekkers.ch>  Sun, 25 Jan 2015 14:42:55 +0100

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
  libpq-dev,
  libmysqlclient-dev,
  zlib1g-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://www.sogo.nu/
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/sope.git
 Vcs-Git: git://anonscm.debian.org/collab-maint/sope.git

## sope 3.0.2

=== debian/changelog ===
sope (3.0.2-1) unstable; urgency=medium

  * [c17021f9] New upstream release. (Closes: #813269)
  * [e975d858] Bump Standards-Version to 3.9.8, no changes needed.
  * [7c77abfc] Create automatic dbgsym package instead of the manual
    libsope1-dbg.

 -- Jeroen Dekkers <jeroen@dekkers.ch>  Sat, 09 Apr 2016 15:15:55 +0200

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
  libpq-dev,
  libmysqlclient-dev,
  zlib1g-dev
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://www.sogo.nu/
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/sope.git
 Vcs-Git: git://anonscm.debian.org/collab-maint/sope.git
@@ -49,18 +49,3 @@
  iCalendar parsing.
  .
  This package contains the development files.
-
-Package: libsope1-dbg
-Section: debug
-Priority: extra
-Architecture: any
-Depends: libsope1 (= ${binary:Version}), ${misc:Depends}
-Description: SKYRiX Object Publishing Environment (debugging symbols)
- An extensive set of Objective-C frameworks which form a complete Web
- application server environment. Besides the Apple WebObjects
- compatible appserver that has been extended with Zope concepts, it
- contains a large set of reusable classes: XML processing (SAX, DOM),
- MIME/IMAP4 processing, LDAP connectivity, RDBMS connectivity, and
- iCalendar parsing.
- .
- This package contains the debugging symbols.

## sope 3.2.4

=== debian/changelog ===
sope (3.2.4-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release.

 -- Jordi Mallach <jordi@debian.org>  Wed, 28 Dec 2016 18:54:57 +0100

sope (3.0.2-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Update build depends to default-libmysqlclient-dev (Closes: #845910)

 -- John Lines <john@paladyn.org>  Tue, 20 Dec 2016 17:41:47 +0000

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  libldap2-dev,
  libgnutls28-dev,
  libpq-dev,
- libmysqlclient-dev,
+ default-libmysqlclient-dev,
  zlib1g-dev
 Standards-Version: 3.9.8
 Homepage: http://www.sogo.nu/

=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,7 @@
 # This will make sure that the SOGo binary packages will always depend
 # on the latest SOPE
 DEB_DH_MAKESHLIBS_ARGS = -V
+DEB_DH_STRIP_ARGS := --ddeb-migration='libsope1-dbg (<< 3.0.2-1~)'
 
 include /usr/share/cdbs/1/rules/gnustep.mk
 include /usr/share/cdbs/1/class/gnumakefile.mk

## sope 3.2.5

=== debian/changelog ===
sope (3.2.5-1) unstable; urgency=medium

  * Switch Maintainer field to new team address.
    Keep Jeroen Dekkers in Uploaders, and add myself there too.
  * Update Homepage field.
  * Fix watch file to point at new download URL.
  * Bump debhelper compat to v10.
  * Drop dch id-length option from gbp.conf.
  * Make GNUstep includes optional. Closes: #816516.
    This eases running the clean target outside chroots.
  * Stop Build-Depending on autotools-dev, debhelper pulls it in.
  * Drop duplicate Section field.
  * Use secure URLs for Vcs-* fields.

 -- Jordi Mallach <jordi@debian.org>  Wed, 11 Jan 2017 02:06:20 +0100

## sope 3.2.6

=== debian/changelog ===
sope (3.2.6-1) unstable; urgency=medium

  * New upstream release.
  * Update Source field in copyright.
  * Use https on all URLs.

 -- Jordi Mallach <jordi@debian.org>  Mon, 23 Jan 2017 23:36:08 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: sope
 Section: libs
 Priority: optional
-Maintainer: Jeroen Dekkers <jeroen@dekkers.ch>
-Build-Depends: autotools-dev,
- cdbs,
- debhelper (>= 9),
+Maintainer: Debian SOGo Maintainers <pkg-sogo-maintainers@lists.alioth.debian.org>
+Uploaders: Jeroen Dekkers <jeroen@dekkers.ch>,
+           Jordi Mallach <jordi@debian.org>
+Build-Depends: cdbs,
+ debhelper (>= 10),
  dpkg-dev (>= 1.16.1~),
  gnustep-make,
  gobjc,
@@ -16,12 +17,11 @@
  default-libmysqlclient-dev,
  zlib1g-dev
 Standards-Version: 3.9.8
-Homepage: http://www.sogo.nu/
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/sope.git
-Vcs-Git: git://anonscm.debian.org/collab-maint/sope.git
+Homepage: https://sogo.nu/
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/sope.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/sope.git
 
 Package: libsope1
-Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: SKYRiX Object Publishing Environment (shared libraries)

=== debian/rules ===
--- 
+++ 
@@ -11,8 +11,8 @@
 DEB_DH_MAKESHLIBS_ARGS = -V
 DEB_DH_STRIP_ARGS := --ddeb-migration='libsope1-dbg (<< 3.0.2-1~)'
 
-include /usr/share/cdbs/1/rules/gnustep.mk
-include /usr/share/cdbs/1/class/gnumakefile.mk
+-include /usr/share/cdbs/1/rules/gnustep.mk
+-include /usr/share/cdbs/1/class/gnumakefile.mk
 
 common-configure-arch:: config.make

## sope 3.2.9

=== debian/changelog ===
sope (3.2.9-2) unstable; urgency=medium

  * Upload to unstable.

 -- Jordi Mallach <jordi@debian.org>  Sat, 24 Jun 2017 03:03:52 +0200

sope (3.2.9-1) experimental; urgency=medium

  * New upstream release.

 -- Jordi Mallach <jordi@debian.org>  Tue, 23 May 2017 01:48:33 +0200

sope (3.2.8-1) experimental; urgency=medium

  * New upstream release.

 -- Jordi Mallach <jordi@debian.org>  Sun, 23 Apr 2017 02:55:49 +0200

## sope 3.2.10

=== debian/changelog ===
sope (3.2.10-1build1) bionic; urgency=medium

  * No-change rebuild for gnustep-base soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 07 Nov 2017 06:38:08 +0000

sope (3.2.10-1) unstable; urgency=medium

  * New upstream release.

 -- Jordi Mallach <jordi@debian.org>  Thu, 20 Jul 2017 11:10:22 +0200

=== debian/watch ===
version=3
https://packages.inverse.ca/SOGo/sources/ \
(?:.*/|.*=|)SOPE[\-\._](3.\d\S*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)(?:/\S*)?

## sope 4.0.0

=== debian/changelog ===
sope (4.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Adapt watch file to avoid bogus 4.9* upstream version.
  * Bump debheper compat to v11.
  * Remove unneeded versioned B-D on dpkg-dev.
  * Make libsope-dev priority optional.
  * Update Standards-Version to 4.1.3.
  * Rewrite rules using dh sequencer and drop B-D on cdbs.
  * Update Vcs-* fields after migration to Salsa.

 -- Jordi Mallach <jordi@debian.org>  Thu, 29 Mar 2018 02:24:25 +0200

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,7 @@
 Maintainer: Debian SOGo Maintainers <pkg-sogo-maintainers@lists.alioth.debian.org>
 Uploaders: Jeroen Dekkers <jeroen@dekkers.ch>,
            Jordi Mallach <jordi@debian.org>
-Build-Depends: cdbs,
- debhelper (>= 10),
- dpkg-dev (>= 1.16.1~),
+Build-Depends: debhelper (>= 11~),
  gnustep-make,
  gobjc,
  libgnustep-base-dev,
@@ -16,10 +14,10 @@
  libpq-dev,
  default-libmysqlclient-dev,
  zlib1g-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
 Homepage: https://sogo.nu/
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/sope.git
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/sope.git
+Vcs-Browser: https://salsa.debian.org/debian/sope
+Vcs-Git: https://salsa.debian.org/debian/sope.git
 
 Package: libsope1
 Architecture: any
@@ -36,7 +34,6 @@
 
 Package: libsope-dev
 Section: libdevel
-Priority: extra
 Architecture: any
 Depends: libsope1 (= ${binary:Version}), ${misc:Depends}
 Conflicts: libgnustep-dl2-dev

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow
include /usr/share/dpkg/buildflags.mk

%:
	dh $@

override_dh_auto_clean:
	touch config.make
	#$(MAKE) distclean
	dh_auto_clean

override_dh_auto_configure:
	./configure --disable-strip --with-gnustep --with-ssl=gnutls

override_dh_auto_build:
	$(MAKE) all messages=yes OBJCFLAGS="$(CFLAGS)"

override_dh_auto_install:
	GNUSTEP_MAKEFILES=/usr/share/GNUstep/Makefiles $(MAKE) install \
		messages=yes OBJCFLAGS="$(CFLAGS)" \
		DESTDIR=$(CURDIR)/debian/tmp/ \
		GNUSTEP_INSTALLATION_DOMAIN=SYSTEM

# This will make sure that the SOGo binary packages will always depend
# on the latest SOPE
override_dh_makeshlibs:
	dh_makeshlibs -V

override_dh_strip:
	dh_strip --ddeb-migration='libsope1-dbg (<< 3.0.2-1~)'

override_dh_link:
	gsdh_gnustep
	dh_link

## sope 4.0.1

=== debian/changelog ===
sope (4.0.1-1) unstable; urgency=medium

  * New upstream release.
  * Set Rules-Requires-Root to no.
  * Update Standards-Version to 4.1.5.

 -- Jordi Mallach <jordi@debian.org>  Fri, 03 Aug 2018 10:00:06 +0200

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,8 @@
  libpq-dev,
  default-libmysqlclient-dev,
  zlib1g-dev
-Standards-Version: 4.1.3
+Rules-Requires-Root: no
+Standards-Version: 4.1.5
 Homepage: https://sogo.nu/
 Vcs-Browser: https://salsa.debian.org/debian/sope
 Vcs-Git: https://salsa.debian.org/debian/sope.git

## sope 4.0.2

=== debian/changelog ===
sope (4.0.2-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version to 4.2.1.
  * Drop dh_strip override as the dbgsyms migration is done.

 -- Jordi Mallach <jordi@debian.org>  Thu, 06 Sep 2018 10:22:11 +0200

## sope 4.0.3

=== debian/changelog ===
sope (4.0.3-1) unstable; urgency=medium

  * New upstream release.

 -- Jordi Mallach <jordi@debian.org>  Wed, 17 Oct 2018 23:23:36 +0200

## sope 4.0.4

=== debian/changelog ===
sope (4.0.4-1) unstable; urgency=medium

  * New upstream release.

 -- Jordi Mallach <jordi@debian.org>  Wed, 24 Oct 2018 16:30:27 +0200

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
  default-libmysqlclient-dev,
  zlib1g-dev
 Rules-Requires-Root: no
-Standards-Version: 4.1.5
+Standards-Version: 4.2.1
 Homepage: https://sogo.nu/
 Vcs-Browser: https://salsa.debian.org/debian/sope
 Vcs-Git: https://salsa.debian.org/debian/sope.git

## sope 4.0.5

=== debian/changelog ===
sope (4.0.5-2) unstable; urgency=medium

  * Add patch to unset MAKEFLAGS and MFLAGS in configure.

 -- Jeroen Dekkers <jeroen@dekkers.ch>  Mon, 14 Jan 2019 22:35:43 +0100

sope (4.0.5-1) unstable; urgency=medium

  * New upstream release.
  * Define upstream-vcs-tag and upstream-branch options.
  * Update Standards-Version to 4.3.0.

 -- Jordi Mallach <jordi@debian.org>  Thu, 10 Jan 2019 09:36:25 +0100

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
  default-libmysqlclient-dev,
  zlib1g-dev
 Rules-Requires-Root: no
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Homepage: https://sogo.nu/
 Vcs-Browser: https://salsa.debian.org/debian/sope
 Vcs-Git: https://salsa.debian.org/debian/sope.git

## sope 4.0.7

=== debian/changelog ===
sope (4.0.7-1) unstable; urgency=medium

  * New upstream release.
  * Fix compilation on sh4 (thanks Yavor Doganov; closes: #919961).
  * Mark libsope-dev as M-A: same.

 -- Jordi Mallach <jordi@debian.org>  Thu, 28 Feb 2019 01:12:42 +0100

sope (4.0.6-1) unstable; urgency=medium

  * New upstream release.

 -- Jordi Mallach <jordi@debian.org>  Tue, 26 Feb 2019 11:43:04 +0100

=== debian/control ===
--- 
+++ 
@@ -38,6 +38,7 @@
 Architecture: any
 Depends: libsope1 (= ${binary:Version}), ${misc:Depends}
 Conflicts: libgnustep-dl2-dev
+Multi-Arch: same
 Description: SKYRiX Object Publishing Environment (development files)
  An extensive set of Objective-C frameworks which form a complete Web
  application server environment. Besides the Apple WebObjects

## sope 4.0.8

=== debian/changelog ===
sope (4.0.8-1) unstable; urgency=medium

  * New upstream release.

 -- Jordi Mallach <jordi@debian.org>  Tue, 30 Jul 2019 17:55:23 +0200

## sope 4.1.0

=== debian/changelog ===
sope (4.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Update to debhelper compat v12.
  * Update Standards-Version to 4.4.1.

 -- Jordi Mallach <jordi@debian.org>  Thu, 31 Oct 2019 09:08:48 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian SOGo Maintainers <pkg-sogo-maintainers@lists.alioth.debian.org>
 Uploaders: Jeroen Dekkers <jeroen@dekkers.ch>,
            Jordi Mallach <jordi@debian.org>
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
  gnustep-make,
  gobjc,
  libgnustep-base-dev,
@@ -15,7 +15,7 @@
  default-libmysqlclient-dev,
  zlib1g-dev
 Rules-Requires-Root: no
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Homepage: https://sogo.nu/
 Vcs-Browser: https://salsa.debian.org/debian/sope
 Vcs-Git: https://salsa.debian.org/debian/sope.git

## sope 4.1.1

=== debian/changelog ===
sope (4.1.1-1) unstable; urgency=medium

  * New upstream release.

 -- Jordi Mallach <jordi@debian.org>  Wed, 06 Nov 2019 11:16:01 +0100

## sope 4.3.0

=== debian/changelog ===
sope (4.3.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.5.0.

 -- Jordi Mallach <jordi@debian.org>  Tue, 11 Feb 2020 12:09:43 +0100

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
  default-libmysqlclient-dev,
  zlib1g-dev
 Rules-Requires-Root: no
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://sogo.nu/
 Vcs-Browser: https://salsa.debian.org/debian/sope
 Vcs-Git: https://salsa.debian.org/debian/sope.git

=== debian/rules ===
--- 
+++ 
@@ -30,9 +30,6 @@
 override_dh_makeshlibs:
 	dh_makeshlibs -V
 
-override_dh_strip:
-	dh_strip --ddeb-migration='libsope1-dbg (<< 3.0.2-1~)'
-
 override_dh_link:
 	gsdh_gnustep
 	dh_link

=== debian/watch ===
version=3
https://packages.inverse.ca/SOGo/sources/ \
(?:.*/|.*=|)SOPE[\-\._](4\.[0-8].\d\S*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)(?:/\S*)?

## sope 4.3.2

=== debian/changelog ===
sope (4.3.2-0bit1) unstable; urgency=medium

  * New upstream release
  * Update to debhelper compat v12.
  * Bump Standards-Version to 4.1.4.

 -- Daniel Betschart <daniel.betschart@betschart-it.ch>  Mon, 11 May 2020 13:00:07 +0200

sope (4.3.0-0bit1) unstable; urgency=medium

  * New upstream release.

 -- Daniel Betschart <daniel.betschart@betschart-it.ch>  Sat, 25 Jan 2020 13:39:11 +0100

sope (4.2.0-0bit1) unstable; urgency=medium

  * New upstream release.

 -- Daniel Betschart <daniel.betschart@betschart-it.ch>  Fri, 27 Dec 2019 19:14:29 +0100

sope (4.1.1-0bit2) unstable; urgency=medium

  * Downgrade to debhelper compat v10.

 -- Daniel Betschart <daniel.betschart@betschart-it.ch>  Mon, 11 Nov 2019 11:45:35 +0100

sope (4.1.1-0bit1) unstable; urgency=medium

  * New upstream release.
  * Remove libmysqlclient-dev, autotools-dev and cdbs from dependencies.
  * Update to debhelper compat v12.
  * Update Standards-Version to 4.4.1.
  * Fix compilation on sh4 (thanks Yavor Doganov; closes: #919961).

 -- Daniel Betschart <daniel.betschart@betschart-it.ch>  Fri, 08 Nov 2019 13:26:40 +0100

sope (4.0.8-0bit2) unstable; urgency=medium

  * Mark libsope-dev as M-A: same.

 -- Daniel Betschart <daniel.betschart@betschart-it.ch>  Fri, 02 Aug 2019 15:32:19 +0200

sope (4.0.8-0bit1) unstable; urgency=medium

  * New upstream release.

 -- Daniel Betschart <daniel.betschart@betschart-it.ch>  Mon, 29 Jul 2019 16:03:03 +0200

sope (4.0.7-0bit1) unstable; urgency=medium

  * New upstream release.

 -- Daniel Betschart <daniel.betschart@betschart-it.ch>  Mon, 11 Mar 2019 16:03:37 +0100

sope (4.0.5-0bit1) unstable; urgency=medium

  * New upstream release.
  * Add patch to unset MAKEFLAGS and MFLAGS in configure.
  * Define upstream-vcs-tag and upstream-branch options in gbp.conf.

 -- Daniel Betschart <daniel.betschart@betschart-it.ch>  Fri, 18 Jan 2019 16:16:07 +0100

sope (4.0.4-0bit1) unstable; urgency=medium

  * New upstream release.

 -- Daniel Betschart <daniel.betschart@betschart-it.ch>  Fri, 26 Oct 2018 10:06:45 +0200

sope (4.0.2-0bit1) unstable; urgency=medium

  * New upstream release.
  * changed build-dependency to satisfy default-mysqlclient-dev.

 -- Daniel Betschart <daniel.betschart@betschart-it.ch>  Mon, 03 Sep 2018 14:42:07 +0200

sope (4.0.1-0bit1) unstable; urgency=medium

  * New upstream release.
  * Adapt watch file to avoid bogus 4.9* upstream version.
  * Remove unneeded versioned B-D on dpkg-dev.
  * Make libsope-dev priority optional.
  * Update Vcs-* fields after migration to Salsa.

 -- Daniel Betschart <daniel.betschart@betschart-it.ch>  Mon, 30 Jul 2018 16:48:18 +0200

sope (4.0.0-0bit1) unstable; urgency=medium

  * New upstream release.
  * Drop dch id-length option from gbp.conf.
  * Update Homepage field.
  * Use secure URLs for Vcs-* fields.
  * Make GNUstep includes optional. Closes: #816516.
    This eases running the clean target outside chroots.
  * Drop duplicate Section field.

 -- Daniel Betschart <daniel.betschart@betschart-it.ch>  Fri, 16 Mar 2018 09:52:34 +0100

sope (3.2.10-0bit1) unstable; urgency=medium

  * New upstream release.

 -- Daniel Betschart <daniel.betschart@betschart-it.ch>  Fri, 21 Jul 2017 08:33:11 +0200

sope (3.2.9-0bit1) unstable; urgency=medium

  * New upstream release.

 -- Daniel Betschart <daniel.betschart@betschart-it.ch>  Fri, 12 May 2017 11:24:22 +0200

sope (3.2.8-0bit1) unstable; urgency=medium

  * New upstream release.

 -- Daniel Betschart <daniel.betschart@betschart-it.ch>  Mon, 27 Mar 2017 10:09:34 +0200

sope (3.2.7-0bit1) unstable; urgency=medium

  * New upstream release.

 -- Daniel Betschart <daniel.betschart@betschart-it.ch>  Mon, 20 Feb 2017 17:23:23 +0100

sope (3.2.5-0bit1) unstable; urgency=medium

  * New upstream release.

 -- Daniel Betschart <daniel.betschart@betschart-it.ch>  Fri, 13 Jan 2017 16:25:43 +0100

sope (3.2.4-0bit1) unstable; urgency=medium

  * New upstream release.

 -- Daniel Betschart <daniel.betschart@betschart-it.ch>  Mon, 12 Dec 2016 19:34:06 +0100

sope (3.2.1-0bit1) unstable; urgency=medium

  * New upstream release.

 -- Daniel Betschart <daniel.betschart@betschart-it.ch>  Mon, 14 Nov 2016 13:13:38 +0100

sope (3.2.0-0bit1) unstable; urgency=medium

  * New upstream release.

 -- Daniel Betschart <daniel.betschart@betschart-it.ch>  Fri, 28 Oct 2016 10:41:34 +0200

sope (3.1.5-0bit2) unstable; urgency=medium

  * added README.Debian.

 -- Daniel Betschart <daniel.betschart@betschart-it.ch>  Mon, 22 Aug 2016 16:57:32 +0200

sope (3.1.5-0bit1) unstable; urgency=medium

  * New upstream release.

 -- Daniel Betschart <daniel.betschart@betschart-it.ch>  Mon, 15 Aug 2016 14:55:30 +0200

sope (3.1.4-1bit2) unstable; urgency=medium

  * parameter --with-ssl in configure has to be ssl, not libssl.

 -- Daniel Betschart <daniel.betschart@betschart-it.ch>  Mon, 15 Aug 2016 10:30:39 +0200

sope (3.1.4-1bit1) unstable; urgency=medium

  * New upstream release
  * changed build-dependency from libgnutls28-dev to libssl-dev and change
    configure --with-ssl=gnutls to --with-ssl=libssl in rules file
  * remove DEB_DH_STRIP_ARGS in rules because it gives an error
  * build the xmlrpc and stxsaxdriver, I assume newer sogo versions needs surely xmlrpc
  * replaces all binaries from the inverse build in the control file

 -- Daniel Betschart <daniel.betschart@betschart-it.ch>  Sat, 06 Aug 2016 19:14:22 +0200

=== debian/control ===
--- 
+++ 
@@ -4,18 +4,18 @@
 Maintainer: Debian SOGo Maintainers <pkg-sogo-maintainers@lists.alioth.debian.org>
 Uploaders: Jeroen Dekkers <jeroen@dekkers.ch>,
            Jordi Mallach <jordi@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper (>= 12~),
  gnustep-make,
  gobjc,
  libgnustep-base-dev,
  libxml2-dev,
  libldap2-dev,
- libgnutls28-dev,
+ libssl-dev,
  libpq-dev,
  default-libmysqlclient-dev,
  zlib1g-dev
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.1.4
 Homepage: https://sogo.nu/
 Vcs-Browser: https://salsa.debian.org/debian/sope
 Vcs-Git: https://salsa.debian.org/debian/sope.git
@@ -23,6 +23,8 @@
 Package: libsope1
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Conflicts: libsope-appserver4.9, libsope-core4.9, libsope-xml4.9, libsope-mime4.9, libsope-ldap4.9, libsope-gdl1-4.9, sope4.9-gdl1-postgresql, sope4.9-gdl1-mysql, sope4.9-stxsaxdriver, sope4.9-libxmlsaxdriver, sope4.9-appserver
+Replaces: libsope-appserver4.9, libsope-core4.9, libsope-xml4.9, libsope-mime4.9, libsope-ldap4.9, libsope-gdl1-4.9, sope4.9-gdl1-postgresql, sope4.9-gdl1-mysql, sope4.9-stxsaxdriver, sope4.9-libxmlsaxdriver, sope4.9-appserver
 Description: SKYRiX Object Publishing Environment (shared libraries)
  An extensive set of Objective-C frameworks which form a complete Web
  application server environment. Besides the Apple WebObjects
@@ -35,9 +37,11 @@
 
 Package: libsope-dev
 Section: libdevel
+Priority: optional
 Architecture: any
 Depends: libsope1 (= ${binary:Version}), ${misc:Depends}
-Conflicts: libgnustep-dl2-dev
+Conflicts: libgnustep-dl2-dev, libsope-appserver4.9-dev, libsope-core4.9-dev, libsope-xml4.9-dev, libsope-mime4.9-dev, libsope-ldap4.9-dev, libsope-gdl1-4.9-dev
+Replaces: libsope-appserver4.9-dev, libsope-core4.9-dev, libsope-xml4.9-dev, libsope-mime4.9-dev, libsope-ldap4.9-dev, libsope-gdl1-4.9-dev
 Multi-Arch: same
 Description: SKYRiX Object Publishing Environment (development files)
  An extensive set of Objective-C frameworks which form a complete Web

=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,7 @@
 	dh_auto_clean
 
 override_dh_auto_configure:
-	./configure --disable-strip --with-gnustep --with-ssl=gnutls
+	./configure --disable-strip --with-gnustep --with-ssl=libssl
 
 override_dh_auto_build:
 	$(MAKE) all messages=yes OBJCFLAGS="$(CFLAGS)"

=== debian/watch ===
version=3
https://packages.inverse.ca/SOGo/sources/ \
(?:.*/|.*=|)SOPE[\-\._](4\.[0-8].\d\S*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)(?:/\S*)? debian uupdate

## sope 4.9.r1664.20251115

=== debian/changelog ===
sope (4.9.r1664.20251115) jammy; urgency=low

  * updated to nighly

 -- Inverse Support <support@inverse.ca>  Sat, 15 Nov 2025 07:34:48 +0000

=== debian/control ===
Source: sope
Section: web
Priority: extra
Maintainer: Inverse Support <support@inverse.ca>
Build-Depends: debhelper (>= 7.0.15), gnustep-make, libgnustep-base-dev, gobjc | objc-compiler, libxml2-dev, libldap2-dev | libldap-dev, libssl-dev, zlib1g-dev, libpq-dev | postgresql-dev, libmysqlclient-dev (>= 5.0) | libmysqlclient15-dev (>= 5.0) | libmariadbclient-dev-compat, autotools-dev
Standards-Version: 3.9.1

Package: sope4.9-dbg
Section: debug
Architecture: any
Priority: extra
Depends: libsope-appserver4.9 (= ${binary:Version}) | sope4.9-appserver (= ${binary:Version}) | libsope-core4.9 (= ${binary:Version}) | libsope-xml4.9 (= ${binary:Version}) | libsope-ldap4.9 (= ${binary:Version}) | libsope-mime4.9 (= ${binary:Version}) | libsope-gdl1-4.9 (= ${binary:Version}) | sope4.9-gdl1-postgresql (= ${binary:Version}) | sope4.9-gdl1-mysql (= ${binary:Version}) | sope4.9-stxsaxdriver (= ${binary:Version}) | sope4.9-libxmlsaxdriver (= ${binary:Version}), ${misc:Depends}
Description: Debugging files
 SOPE is a framework for developing web applications and services. The
 name "SOPE" (SKYRiX Object Publishing Environment) is inspired by ZOPE.
 .
 This package contains the debugging symbols for all SOPE packages.

Package: libsope4.9-dev
Section: libdevel
Architecture: all
Provides: libsope-dev
Conflicts: libsope-dev
Depends: libsope-appserver4.9-dev, libsope-core4.9-dev, libsope-xml4.9-dev, libsope-mime4.9-dev, libsope-ldap4.9-dev, libsope-gdl1-4.9-dev, libsbjson-dev, ${misc:Depends}
Description: Development files for all SOPE libraries
 SOPE is a framework for developing web applications and services. The
 name "SOPE" (SKYRiX Object Publishing Environment) is inspired by ZOPE.
 .
 This is a meta-package depending on all development files of all
 components of SOPE.

Package: libsope-appserver4.9-dev
Section: libdevel
Architecture: any
Provides: libsope-appserver-dev
Conflicts: libsope-appserver-dev
Depends: libsope-appserver4.9 (= ${binary:Version}), ${misc:Depends}
Description: Development files for the SOPE libraries
 SOPE is a framework for developing web applications and services. The
 name "SOPE" (SKYRiX Object Publishing Environment) is inspired by ZOPE.
 .
 This package contains the development files for the SOPE application server
 libraries.

Package: libsope-appserver4.9
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: SOPE application server libraries
 SOPE is a framework for developing web applications and services. The
 name "SOPE" (SKYRiX Object Publishing Environment) is inspired by ZOPE.
 .
 The SOPE application server libraries provide:
 .
  * template rendering engine, lots of dynamic elements
  * HTTP client/server
  * XML-RPC client
  * WebDAV server framework
  * session management
  * scripting extensions for Foundation, JavaScript bridge
  * DOM tree rendering library

Package: sope4.9-appserver
Section: web
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: SOPE application server
 SOPE is a framework for developing web applications and services. The
 name "SOPE" (SKYRiX Object Publishing Environment) is inspired by ZOPE.
 . 
 This package contains the application server that serves SOPE sites.

Package: libsope-core4.9-dev
Section: libdevel
Architecture: any
Provides: libsope-core-dev
Conflicts: libsope-core-dev
Depends: libsope-core4.9 (= ${binary:Version}), ${misc:Depends}
Description: Development files for the SOPE core libraries
 SOPE is a framework for developing web applications and services. The
 name "SOPE" (SKYRiX Object Publishing Environment) is inspired by ZOPE.
 .
 This package contains the header files for the SOPE core
 libraries,  which are part of the SOPE application server framework.

Package: libsope-core4.9
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Core libraries of the SOPE application server
 The SOPE core libraries contain:
 .
  * various Foundation extensions
  * a java.io like stream and socket library

Package: libsope-xml4.9-dev
Section: libdevel
Architecture: any
Provides: libsope-xml-dev
Conflicts: libsope-xml-dev
Depends: libsope-xml4.9 (= ${binary:Version}), ${misc:Depends}
Description: Development files for the SOPE XML libraries
 SOPE is a framework for developing web applications and services. The
 name "SOPE" (SKYRiX Object Publishing Environment) is inspired by ZOPE.
 .
 This package contains the development files of the SOPE
 XML libraries.

Package: libsope-xml4.9
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: SOPE libraries for XML processing
 SOPE is a framework for developing web applications and services. The
 name "SOPE" (SKYRiX Object Publishing Environment) is inspired by ZOPE.
 .
 The SOPE libraries for XML processing contain:
 .
  * a SAX2 Implementation for Objective-C
  * an attempt to implement DOM on top of SaxObjC
  * an XML-RPC implementation (without a transport layer)

Package: libsope-ldap4.9-dev
Section: libdevel
Architecture: any
Provides: libsope-ldap-dev
Conflicts: libsope-ldap-dev
Depends: libsope-ldap4.9 (= ${binary:Version}), ${misc:Depends}
Description: Development files for the SOPE LDAP libraries
 SOPE is a framework for developing web applications and services. The
 name "SOPE" (SKYRiX Object Publishing Environment) is inspired by ZOPE.
 .
 This package contains the development files of the SOPE
 LDAP libraries.

Package: libsope-ldap4.9
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: SOPE libraries for LDAP access
 SOPE is a framework for developing web applications and services. The
 name "SOPE" (SKYRiX Object Publishing Environment) is inspired by ZOPE.
 .
 The SOPE libraries for LDAP access contain an Objective-C wrapper for
 LDAP directory services.

Package: libsope-mime4.9-dev
Section: libdevel
Architecture: any
Provides: libsope-mime-dev
Conflicts: libsope-mime-dev
Depends: libsope-mime4.9 (= ${binary:Version}), ${misc:Depends}
Description: Development files for the SOPE MIME libraries
 SOPE is a framework for developing web applications and services. The
 name "SOPE" (SKYRiX Object Publishing Environment) is inspired by ZOPE.
 .
 This package contains the development files of the SOPE
 MIME libraries.

Package: libsope-mime4.9
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: SOPE libraries for MIME processing
 SOPE is a framework for developing web applications and services. The
 name "SOPE" (SKYRiX Object Publishing Environment) is inspired by ZOPE.
 .
 The SOPE libraries for MIME processing contain:
 .
  * classes for processing MIME entities
  * a full IMAP4 implementation
  * prototypical POP3 and SMTP processor

Package: libsope-gdl1-4.9-dev
Section: libdevel
Architecture: any
Provides: libsope-gdl1-dev
Conflicts: libsope-gdl1-dev
Depends: libsope-gdl1-4.9 (= ${binary:Version}), ${misc:Depends}
Description: Development files for the GNUstep database libraries
 SOPE is a framework for developing web applications and services. The
 name "SOPE" (SKYRiX Object Publishing Environment) is inspired by ZOPE.
 .
 This package contains the header files for SOPE's fork of the GNUstep
 database libraries.

Package: libsope-gdl1-4.9
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: GNUstep database libraries for SOPE
 SOPE is a framework for developing web applications and services. The
 name "SOPE" (SKYRiX Object Publishing Environment) is inspired by ZOPE.
 .
 This package contains a fork of the GNUstep database libraries used
 by the SOPE application server.

Package: sope4.9-gdl1-postgresql
Section: web
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: sope4.9-db-connector
Suggests: postgresql (>= 8.2)
Description: PostgreSQL connector for SOPE's fork of the GNUstep database environment
 SOPE is a framework for developing web applications and services. The
 name "SOPE" (SKYRiX Object Publishing Environment) is inspired by ZOPE.
 .
 This package contains the postgresql connector for SOPE's fork of the
 GNUstep database libraries.

Package: sope4.9-gdl1-mysql
Section: web
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: sope4.9-db-connector
Suggests: mysql-server (>= 5.0)
Description: MySQL connector for SOPE's fork of the GNUstep database environment
 SOPE is a framework for developing web applications and services. The
 name "SOPE" (SKYRiX Object Publishing Environment) is inspired by ZOPE.
 .
 This package contains the mysql connector for SOPE's fork of the
 GNUstep database libraries.

Package: sope4.9-stxsaxdriver
Section: web
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: sope-stxsaxdriver
Description: Structured Text Parser for SOPE's SAX engine
 SOPE is a framework for developing web applications and services. The
 name "SOPE" (SKYRiX Object Publishing Environment) is inspired by ZOPE.
 . 
 This parser enables SOPE's SAX engine to parse structured text files.

Package: sope4.9-libxmlsaxdriver
Section: web
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: sope-libxmlsaxdriver
Description: XML Parser for SOPE's SAX engine
 SOPE is a framework for developing web applications and services. The
 name "SOPE" (SKYRiX Object Publishing Environment) is inspired by ZOPE.
 .
 This parser enables SOPE's SAX engine to parse XML files.

Package: libsbjson2.3
Section: web
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: libsbjson
Description: High performance Objective-C JSON library
 The BSJson library is a very fast JSON library in Objective-C.
 .
 url: http://code.google.com/p/json-framework/

Package: libsbjson2.3-dev
Section: libdevel
Architecture: any
Depends: libsbjson2.3 (= ${binary:Version}), ${misc:Depends}
Provides: libsbjson-dev
Description: High performance Objective-C JSON library
 The BSJson library is a very fast JSON library in Objective-C.
 .
 url: http://code.google.com/p/json-framework/

## sope 4.9.r1664.20251121

=== debian/changelog ===
sope (4.9.r1664.20251121) bookworm; urgency=low

  * updated to nighly

 -- Inverse Support <support@inverse.ca>  Fri, 21 Nov 2025 07:42:55 +0000

## sope 4.9.r1664.20251207

=== debian/changelog ===
sope (4.9.r1664.20251207) jammy; urgency=low

  * updated to nighly

 -- Inverse Support <support@inverse.ca>  Sun, 07 Dec 2025 07:33:37 +0000

## sope 4.9.r1664.20251212

=== debian/changelog ===
sope (4.9.r1664.20251212) bookworm; urgency=low

  * updated to nighly

 -- Inverse Support <support@inverse.ca>  Fri, 12 Dec 2025 07:42:14 +0000

## sope 4.9.r1664.20260105

=== debian/changelog ===
sope (4.9.r1664.20260105) bookworm; urgency=low

  * updated to nighly

 -- Inverse Support <support@inverse.ca>  Mon, 05 Jan 2026 07:43:29 +0000

## sope 4.9.r1664.20260205

=== debian/changelog ===
sope (4.9.r1664.20260205) bullseye; urgency=low

  * updated to nighly

 -- Inverse Support <support@inverse.ca>  Thu, 05 Feb 2026 06:55:14 +0000

## sope 4.9.r1664.20260223

=== debian/changelog ===
sope (4.9.r1664.20260223) jammy; urgency=low

  * updated to nighly

 -- Inverse Support <support@inverse.ca>  Mon, 23 Feb 2026 07:40:31 +0000

## sope 4.9.r1664.20260302

=== debian/changelog ===
sope (4.9.r1664.20260302) bookworm; urgency=low

  * updated to nighly

 -- Inverse Support <support@inverse.ca>  Mon, 02 Mar 2026 08:53:52 +0000
